Create static wallet addresses for one eligible business customer. Blaaiz creates an address for each active wallet network. Required scope: crypto-wallet:create.
Authorization
oauth2ClientCredentials crypto-wallet:createAuthorizationBearer <token>
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: crypto-wallet:create
Path Parameters
walletId*string
The business crypto wallet ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Create addresses for one business customer.
Response Body
application/json
Create customer wallet addresses
curl --request POST \ --url 'https://example.com/api/external/crypto/wallets/string/addresses' \ --header 'Content-Type: application/json' \ --data '{ "customer_id": "customer-id"}'{ "message": "Crypto wallet addresses created successfully.", "data": [ { "id": "address-id", "customer_id": "customer-id", "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123", "network": "ETHEREUM_MAINNET", "type": "deposit", "status": "SUCCESSFUL" } ]}